Skip to content

API Keys

API Keys can be managed with these endpoints.

Get all API keys

Request

Security
oauth2(Required scopes: company.keys:list) or bearerAuth or apiKeyHeader
Query
statusstring
Default:"active"
Enum:"active""inactive"
limitinteger, [ 1 .. 100 ]

The maximum count of results to retrieve.

Default:25
startingAfterstring

Return results starting after the provided object identifier.

endingBeforestring

Return results ending before the provided object identifier.

offsetinteger, >= 0

Offset from the start of results.

GET
/keys
curl -i -X GET \
  'https://sandboxapi.peach.finance/api/keys?status=active&limit=25&startingAfter=string&endingBefore=string&offset=0' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Success

Bodyapplication/json
countintegerread-only

Number of items returned by the current request.

nextUrlstring or nullread-only

URL of the next set of results.

previousUrlstring or nullread-only

URL of the previous set of results.

statusinteger

HTTP status code.

totalintegerread-only

Total number of items in this result.

dataArray of objects(ResponseAPIKeyNoSecret)
Response
{ "count": 0, "nextUrl": "string", "previousUrl": "string", "status": 0, "total": 0, "data": [ { … } ] }